DynamicEntityDataSource class final
A dynamic entity data source that streams observations to a client.
The DynamicEntityDataSource class is the base class for classes that stream dynamic entity data. The class provides methods and properties that allow:
- maintenance of a persistent connection for streaming
- control over the storage of observations in its local data cache
- notification of received or purged observations
This class is used as the data source for a DynamicEntityLayer.
- Implemented types
- Mixed-in types
- Implementers
Properties
- connectionError → ArcGISException?
-
The current network connection ArcGISException.
no setter
- connectionStatus → ConnectionStatus
-
The current network connection status of the DynamicEntityDataSource.
no setter
- hashCode → int
-
The hash code for this object.
no setterinherited
- loadError → ArcGISException?
-
The load error.
no setterinherited
- loadStatus → LoadStatus
-
The load status.
no setterinherited
- maximumReconnectionAttempts ↔ int
-
The maximum number of attempts to reconnect after a connection fails.
getter/setter pair
-
onConnectionStatusChanged
→ Stream<
ConnectionStatus> -
Notification that the DynamicEntityDataSource.connectionStatus has
changed.
no setter
-
onDynamicEntityObservationPurged
→ Stream<
DynamicEntityObservationInfo> -
Notification that a DynamicEntityObservation was purged.
no setter
-
onDynamicEntityObservationReceived
→ Stream<
DynamicEntityObservationInfo> -
Notification that a new DynamicEntityObservation was received.
no setter
-
onDynamicEntityPurged
→ Stream<
DynamicEntityInfo> -
Notification that a DynamicEntity was purged.
no setter
-
onDynamicEntityReceived
→ Stream<
DynamicEntityInfo> -
Notification that a new DynamicEntity was received.
no setter
-
onLoadStatusChanged
→ Stream<
LoadStatus> -
A stream that reports changes to the LoadStatus.
no setterinherited
- purgeOptions → DynamicEntityDataSourcePurgeOptions
-
A DynamicEntityDataSourcePurgeOptions that defines when observations are
purged from the local data cache.
no setter
- reconnectionInterval ↔ double
-
The time (in seconds) to wait between attempts to reconnect.
getter/setter pair
- runtimeType → Type
-
A representation of the runtime type of the object.
no setterinherited
Methods
-
cancelLoad(
) → void -
Cancels loading metadata for the object.
inherited
-
connect(
) → Future< void> - Connects to a service that provides dynamic entity observations.
-
disconnect(
) → Future< void> - Closes the connection to a service.
-
load(
) → Future< void> -
Loads the metadata for the object asynchronously.
inherited
-
noSuchMethod(
Invocation invocation) → dynamic -
Invoked when a nonexistent method or property is accessed.
inherited
-
purgeAll(
) → Future< void> - Removes all dynamic entity observations from the in-memory data cache as well as from the map or scene.
-
queryDynamicEntities(
DynamicEntityQueryParameters parameters) → Future< DynamicEntityQueryResult> - Returns all dynamic entities currently matching the specified query parameters.
-
queryDynamicEntitiesByTrackIds(
List< String> trackIds) → Future<DynamicEntityQueryResult> - Returns all dynamic entities with track ID values that match the specified list of track IDs.
-
retryLoad(
) → Future< void> -
Loads or retries loading metadata for the object asynchronously.
inherited
-
toString(
) → String -
A string representation of this object.
inherited
Operators
-
operator ==(
Object other) → bool -
The equality operator.
inherited